## yudit 2.9.2

=== Makefile ===
all: 

#
# UNIDATA directory should have:
# UnicodeData.txt
# Unihan.txt
# BidiMirroring.txt
#
VERSION=5.2.0
UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)

UNIDATA=$(UNIROOT)/ucd

# This has been removed. Dont make eastasia
MAPPINGS=$(UNIROOT)/MAPPINGS
#
# This is the target for unicode updates.
#
map: charclass bidiclass precompose mirror olditalic shape kmap

restricted: gcategory shape mirror precompose olditalic jis2000

charclass: $(UNIDATA)/UnicodeData.txt
	perl charclass.pl $(VERSION) $< > ../mytool/mys/charclass.mys

bidiclass: $(UNIDATA)/UnicodeData.txt
	perl bidiclass.pl $(VERSION) $< > ../mytool/mys/bidiclass.mys

precompose: $(UNIDATA)/UnicodeData.txt
	perl precompose.pl $(VERSION) $< > ../mytool/mys/precompose.mys

mirror: $(UNIDATA)/BidiMirroring.txt
	perl mirroring.pl $(VERSION) $< > ../mytool/uni/mirroring.txt 

olditalic: $(UNIDATA)/UnicodeData.txt
	perl olditalic.pl $(VERSION) u $< > ../mytool/mys/OldItalic.mys

shape: $(UNIDATA)/UnicodeData.txt
	./shape.pl $(VERSION) $< > ../mytool/mys/shape.mys 2> /dev/null

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 

#
# This will create eastasia - that is obsolete
# JIS0201.TXT can not be calculated....
#
eastasia: $(UNIDATA)/Unihan.txt
	cp  $(MAPPINGS)/OBSOLETE/EASTASIA/JIS/JIS0201.TXT  MAPPINGS
	./eastasia.pl --dir MAPPINGS  $<

# CP949.TXT stripped will make KSC5601.TXT - this has nothing
# to do with KSC5601 but I will still keep it.
# 
korean:
	wget http://jshin.net/faq/KSX1001.TXT.gz
	wget http://jshin.net/faq/JOHAB.TXT.gz
	gunzip KSX1001.TXT.gz
	gunzip JOHAB.TXT.gz
	mv KSX1001.TXT MAPPINGS
	mv JOHAB.TXT MAPPINGS
	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT

clean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

veryclean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

=== uni/Makefile ===
include ../../Makefile.conf

TARGETS=iso-8859-1.my \
	iso-8859-2.my \
	iso-8859-3.my \
	iso-8859-4.my \
	iso-8859-5.my \
	iso-8859-6.my \
	iso-8859-7.my \
	iso-8859-8.my \
	iso-8859-9.my \
	iso-8859-13.my \
	iso-8859-15.my \
	iso-8859-16.my \
	viscii.my \
	tcvn.my \
	wingreek.my \
	cp-1252.my \
	cp-1251.my \
	cp-1250.my 

#
# shift-jis.my is not used in converters - it is only here for fonts.
#
EASTASIAN= jis-0201.my \
	jis-0208.my \
	shift-jis.my \
	jis-0212.my \
	big-5.my \
	gb-2312-l.my \
	gb-2312-r.my \
	ksc-5601-r.my \
	ksc-5601-l.my \
	ksx-1001.my\

#
# We have the source code in this distribution for these maps
#
MTARGETS=koi8-r.my koi8-c.my koi8-u.my tcvn.my viscii.my windows-1255.my \
    wingreek.my iso-646.my iso-8859e.my indic.my mik.my \
    rovas.my mirroring.my cp-1252.my

EASTASIAMAP=../../bin/MAPPINGS

#
# Make a bumap file...
# If you want my write '-convert my' here.
#
#MYTOPT=-type fontmap -nocomment -comment "" -convert bumap
MYTOPT=-type fontmap -nocomment  -convert bumap

ALL_TARGETS=$(MTARGETS) $(TARGETS)
ALL_NAMES=$(basename $(ALL_TARGETS))
#MYTOPT=

#MAPDIR=../../../MAPPINGS
#MAPDIR=/software/unicode/codetables
MAPDIR=.
#MAPDIR=../../..

#-------------------------------------------------------------------------------

.SUFFIXES: .umap .TXT

all: $(MTARGETS) MYTOOL

my: $(TARGETS)

eastasian: $(EASTASIAN)

TL=".----------------------------------------------------------------"

MYTOOL: 
	@echo $(TL)
	@echo "Most my-maps are in the distribution. If you have the MAPS from "
	@echo "The unicode Consortium  in ../../MAPPINS, you can re-make your "
	@echo "own by typing 'make eastasian' or 'make my'"
	@echo $(TL)

#
# BINARY UMAPS in 'my' format
#
koi8-r.my: koi8-r.txt
	$(MYTOOL) $(MYTOPT) -name koi8-r -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

koi8-c.my: koi8-c.txt
	$(MYTOOL) $(MYTOPT) -name koi8-c -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

koi8-u.my: koi8-u.txt
	$(MYTOOL) $(MYTOPT) -name koi8-u -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

viscii.my: viscii.txt
	$(MYTOOL) $(MYTOPT) -name viscii -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

#
# 8 bit long
#
rovas.my: ROVASIRAS.TXT
	$(MYTOOL) $(MYTOPT) -name rovas -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

mirroring.my: mirroring.txt
	$(MYTOOL) $(MYTOPT) -name mirroring -uni:0,1 $< -runi:0,1 $< -write $@ 

tcvn.my: tcvn.txt
	$(MYTOOL) $(MYTOPT) -name tcvn -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

wingreek.my: wingreek.txt
	$(MYTOOL) $(MYTOPT) -name wingreek -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

windows-1255.my: windows-1255.txt
	$(MYTOOL) $(MYTOPT) -name windows-1255 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 


iso-646.my: ISO002.TXT
	$(MYTOOL) $(MYTOPT) -name iso-646 -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

mik.my: MIK.TXT
	$(MYTOOL) $(MYTOPT) -name mik -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

iso-8859e.my: 8859-9e.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859e -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

indic.my: indic.txt
	$(MYTOOL) $(MYTOPT) -name indic -uni:0,1 $< -runi:0,1 $< -8 -write $@ 

iso-8859-1.my: $(MAPDIR)/8859-1.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-1 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-2.my: $(MAPDIR)/8859-2.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-2 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-3.my: $(MAPDIR)/8859-3.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-3 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-4.my: $(MAPDIR)/8859-4.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-4 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-5.my: $(MAPDIR)/8859-5.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-5 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-6.my: $(MAPDIR)/8859-6.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-6 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-7.my: $(MAPDIR)/8859-7.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-7 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-8.my: $(MAPDIR)/8859-8.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-8 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-9.my: $(MAPDIR)/8859-9.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-9 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 

iso-8859-13.my: $(MAPDIR)/8859-13.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-13 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
iso-8859-15.my: $(MAPDIR)/8859-15.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-15 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
iso-8859-16.my: $(MAPDIR)/8859-16.TXT
	$(MYTOOL) $(MYTOPT) -name iso-8859-16 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
cp-1252.my: cp-1252.txt
	$(MYTOOL) $(MYTOPT) -name cp-1252 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
cp-1251.my: $(MAPDIR)/CP1251.TXT
	$(MYTOOL) $(MYTOPT) -name cp-1251 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
cp-1250.my: $(MAPDIR)/CP1250.TXT
	$(MYTOOL) $(MYTOPT) -name cp-1250 -uni:0,1 $< -runi:0,1 $< -8  -write $@ 
jis-0201.my: $(EASTASIAMAP)/JIS0201.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0201 -uni:0,1 $< -runi:0,1 $<  -write $@ 

jis-0208.my: $(EASTASIAMAP)/JIS0208.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0208 -uni:1,2 $< -runi:1,2 $<  -write $@ 

shift-jis.my: $(EASTASIAMAP)/JIS0208.TXT
	$(MYTOOL) $(MYTOPT) -name shift-jis -uni:0,2 $< -runi:0,2 $<  -write $@ 
	
jis-0212.my: $(EASTASIAMAP)/JIS0212.TXT
	$(MYTOOL) $(MYTOPT) -name jis-0212 -uni:0,1 $< -runi:0,1 $<  -write $@ 

ksc-5601-r.my: $(EASTASIAMAP)/KSC5601.TXT
	$(MYTOOL) $(MYTOPT) -name ksc-5601-r -uni:0,1 $< -runi:0,1 $<  -write $@ 

ksc-5601-l.my: $(EASTASIAMAP)/KSC5601.TXT
	$(MYTOOL) $(MYTOPT) -name ksc-5601-l -low -uni:0,1 $< -runi:0,1 $<  -write $@ 
ksx-1001.my: $(EASTASIAMAP)/KSX1001.TXT
	$(MYTOOL) $(MYTOPT) -name ksx-1001 -uni:0,1 $< -runi:0,1 $<  -write $@ 

big-5.my: BIG5.TXT
	$(MYTOOL) $(MYTOPT) -name big-5 -uni:0,1 $< -runi:0,1 $<  -write $@ 

gb-2312-l.my: $(EASTASIAMAP)/GB2312.TXT
	$(MYTOOL) $(MYTOPT) -name gb-2312-l -uni:0,1 $< -runi:0,1 $<  -write $@ 

gb-2312-r.my: $(EASTASIAMAP)/GB2312.TXT
	$(MYTOOL) $(MYTOPT) -name gb-2312-r -high -uni:0,1 $< -runi:0,1 $<  -write $@ 

install:
	@if test ! -d $(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@echo installing my files...
	@$(INSTALL_DATA) *.my $(DESTDIR)/$(datadir)/yudit/data

depend:

badcheck:
	@for map in $(ALL_NAMES); do \
		echo -n Checking $$i ..; \
		diff $$map.my ../../data/$$i.bumap; \
		echo ..Done; \
	done

clean:
	rm -f $(MTARGETS) core

veryclean:
	rm -f $(MTARGETS) *.my core

=== debian/changelog ===
yudit (2.9.2-4) unstable; urgency=low

  * debian/rules
    - fix build with mips* arch, thanks to YunQiang Su <wzssyqa@gmail.com>
      (Closes: #722877)

 -- Hideki Yamane <henrich@debian.org>  Sun, 06 Oct 2013 00:01:09 +0900

yudit (2.9.2-3) unstable; urgency=low

  * debian/yudit-doc.install
    - minimalize lines by specifying as "HOWTO-*" 
  * debian/control
    - set "Recommends: libhunspell-1.3-0" to be enable to use syntax highlight.
      And also add "hunspell-en-us | hunspell-dictionary" to Recommends.

 -- Hideki Yamane <henrich@debian.org>  Mon, 08 Apr 2013 09:10:08 +0900

yudit (2.9.2-2) experimental; urgency=low

  * debian/yudit-doc.docs: remove it since duplicate with yudit.docs 
  * debian/yudit-doc.{postinst,prerm}: remove them since it's not necessary
    and cause install error (Closes: #690205)

 -- Hideki Yamane <henrich@debian.org>  Thu, 11 Oct 2012 16:51:13 +0900

yudit (2.9.2-1) experimental; urgency=low

  * New upstream release
  * New maintainer (Closes: #594408)
  * debian/control
    - set "Standard-Version: 3.9.4"
    - set "Build-Depends: debhelper (>= 9)"
    - move Homepage: field to correct location
    - yudit: add "Recommends: gv" since yudit uses it to print files by default.
    - yudit: set "Suggests: ttf-mscorefonts-installer" (Closes: #490032)
    - yudit-doc: remove "Depends: yudit (>= ${source:Version})" since it is
      unnecessary strict dependency 
  * debian/compat
    - set 9
  * debian/rules
    - convert to dh style
    - enable hardening by "export DEB_BUILD_MAINT_OPTIONS := hardening=+all"
    - add autoreconf line
  * debian/yudit.desktop: add it to display on GNOME shell
  * debian/yudit.install: add debian/yudit.desktop
  * debian/patches/install-application-png: install png file to
    /usr/share/applications.
  * debian/patches/fix_typo.patch: fix typo.
  * debian/patches/locale-dir-is-usr_share_locale: set locale directory as
    standard /usr/share/locale and put locale files under it.

 -- Hideki Yamane <henrich@debian.org>  Mon, 08 Oct 2012 07:50:00 +0900

yudit (2.8.1-5) unstable; urgency=low

  * QA upload
  * debian/control
    - set appropriate font package (Closes: 644773)

 -- Hideki Yamane <henrich@debian.org>  Fri, 14 Sep 2012 07:35:19 +0900

=== debian/control ===
Source: yudit
Section: editors
Priority: optional
Maintainer: Hideki Yamane <henrich@debian.org>
Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, gettext
Standards-Version: 3.9.4
Homepage: http://www.yudit.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yudit.git;a=summary
Vcs-Git: git://anonscm.debian.org/collab-maint/yudit.git

Package: yudit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
Recommends: unifont, gv, libhunspell-1.3-0, hunspell-en-us | hunspell-dictionary
Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
Description: Unicode text editor (arch-dependent binaries)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.

Package: yudit-common
Architecture: all
Depends: ${misc:Depends}
Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
Description: Unicode text editor (arch-independent files)
 yudit is a Unicode text editor for the X Window System. It does not need
 localized environment or Unicode fonts. It supports simultaneous processing
 of many languages, conversions for local character standards, bidirectional
 input, has its own input methods. The package includes conversion utilities,
 and it also has support for PostScript printing.
 .
 This package contains the arch-independent files in /usr/share.

Package: yudit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Unicode text editor (Documentation)
 The unicode editor "yudit" has got a big documentation in lots of languages.
 After the installation, the documentation will be available in:
 /usr/share/doc/yudit-doc/

## yudit 2.9.6

=== bin/Makefile ===
all: 

#
# UNIDATA directory should have:
# UnicodeData.txt
# Unihan.txt
# BidiMirroring.txt
#
VERSION=7.0.0
UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)

UNIDATA=$(UNIROOT)/ucd

# This has been removed. Dont make eastasia
MAPPINGS=$(UNIROOT)/MAPPINGS
#
# This is the target for unicode updates.
#
map: charclass bidiclass precompose mirror olditalic shape kmap

restricted: gcategory shape mirror precompose olditalic jis2000

charclass: $(UNIDATA)/UnicodeData.txt
	perl charclass.pl $(VERSION) $< > ../mytool/mys/charclass.mys

bidiclass: $(UNIDATA)/UnicodeData.txt
	perl bidiclass.pl $(VERSION) $< > ../mytool/mys/bidiclass.mys

precompose: $(UNIDATA)/UnicodeData.txt
	perl precompose.pl $(VERSION) $< > ../mytool/mys/precompose.mys

mirror: $(UNIDATA)/BidiMirroring.txt
	perl mirroring.pl $(VERSION) $< > ../mytool/uni/mirroring.txt 

olditalic: $(UNIDATA)/UnicodeData.txt
	perl olditalic.pl $(VERSION) u $< > ../mytool/mys/OldItalic.mys

shape: $(UNIDATA)/UnicodeData.txt
	./shape.pl $(VERSION) $< > ../mytool/mys/shape.mys 2> /dev/null

kmap: ../mytool/mys/shape.mys
	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 

#
# This will create eastasia - that is obsolete
# JIS0201.TXT can not be calculated....
#
eastasia: $(UNIDATA)/Unihan.txt
	cp  $(MAPPINGS)/OBSOLETE/EASTASIA/JIS/JIS0201.TXT  MAPPINGS
	./eastasia.pl --dir MAPPINGS  $<

# CP949.TXT stripped will make KSC5601.TXT - this has nothing
# to do with KSC5601 but I will still keep it.
# 
korean:
	wget http://jshin.net/faq/KSX1001.TXT.gz
	wget http://jshin.net/faq/JOHAB.TXT.gz
	gunzip KSX1001.TXT.gz
	gunzip JOHAB.TXT.gz
	mv KSX1001.TXT MAPPINGS
	mv JOHAB.TXT MAPPINGS
	perl -ne 'next if (/^0x[0-9A-Za-z]{2}[ \t]/);print;' $(MAPPINGS)/VENDORS/MICSFT/WINDOWS/CP949.TXT > MAPPINGS/KSC5601.TXT

clean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

veryclean:
	rm MAPPINGS/KSX1001.*
	rm MAPPINGS/JOHAB.*

=== gui/Makefile ===
include ../Makefile.conf


TARGETOBJS=SYudit.o SToolBar.o SMessageBar.o SMessageLabel.o  \
SKMapPanel.o SKMapDialog.o SHighlightD.o

TARGETDIR=
MAINOBJ=Main.o
MAIN=yudit

LOCALES=$(wildcard locale/*)

ifeq ($(SPLATFORM),WINDOWS)
TARGET=gui.lib
OBJS=$(subst .o,.obj,$(TARGETOBJS))
MAINOBJS=$(subst .o,.obj,$(MAINOBJ))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
SGUILIBS=/libpath:../gui /subsystem:WINDOWS gui.lib 
MYLIBS=/link /subsystem:WINDOWS $(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
RESOURCE=yudit.res
else
TARGET=libgui.a
OBJS=$(TARGETOBJS)
MAINOBJS=$(MAINOBJ)

SLIBS=-L../stoolkit  -lstoolkit
SWINLIBS=-L../swindow -lswindow 
SWIDGETLIBS=-L../swidget -lswidget 
SGUILIBS=-L../gui -lgui 
MYLIBS=$(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
RESOURCE=
endif

.PHONY: messages

all: $(TARGET) $(MAIN)

$(MAIN): $(TARGET) $(MAINOBJS) $(RESOURCE)
	$(LD) -o yudit $(MAINOBJS) $(RESOURCE) $(MYLIBS)

#
# This is a windows thing
#
yudit.res:
	rc /Fo $@ yudit.rc 

gui.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libgui.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install: 
	@for i in $(LOCALES); do \
		if test ! -d $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; then \
			mkdir -p $(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES; \
		fi ; \
		$(INSTALL_DATA) $$i/LC_MESSAGES/messages.[mp]o \
			$(DESTDIR)/$(datadir)/yudit/$$i/LC_MESSAGES ; \
		echo installing messages for $$i; \
	done
	rm -f $(DESTDIR)/$(bindir)/yudit
	$(INSTALL_PROGRAM) $(MAIN) $(DESTDIR)/$(bindir)

messages:
	@if [ $(MSGMERGE) != ":" ] ; then \
		echo "start translating  messages"; \
		xgettext --c++ --keyword=translate  ../swidget/*.cpp *.cpp; \
		for i in $(LOCALES); do \
			echo $$i/LC_MESSAGES/messages.po ; \
			cd $$i/LC_MESSAGES ; touch messages.po;  \
			$(MSGMERGE) --width=100 --strict \
			  messages.po ../../../messages.po > messages.pod; \
			if [ $$? != 0 ]; then \
				cd ../../..; \
				exit 1; \
			fi;  \
			mv messages.pod messages.po; \
			msgfmt -o messages.mo messages.po;  \
			cd ../../..; \
		done ; \
		echo "end translating  messages" ; \
	fi

clean: 
	rm -f *.o  *.obj *.o *.exe $(TARGET) $(MAIN)

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== stoolkit/Makefile ===
include ../Makefile.conf

MODULES=SExcept.o SObject.o SShared.o SHShared.o SBVector.o \
  SBHashtable.o SString.o SUniqueID.o SStringVector.o SProperties.o \
  SEvent.o SEventBSD.o SIO.o SIOStream.o SCharClass.o \
  SConfig.o SBMap.o SUniMap.o SEncoder.o SMatrix.o \
  STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
  STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
  SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \


SENC_OBJS= sencoder/SBEncoder.o \
  sencoder/SB_UTF8.o \
  sencoder/SB_Java.o \
  sencoder/SB_UTF7.o \
  sencoder/SB_Generic.o \
  sencoder/SB_ISO2022_JP.o \
  sencoder/SB_ISO2022_JP3.o \
  sencoder/SB_EUC_JP.o \
  sencoder/SB_X11_JP.o \
  sencoder/SB_S_JIS.o  \
  sencoder/SB_X11_HZ.o \
  sencoder/SB_GB2312_8.o \
  sencoder/SB_HZ.o  \
  sencoder/SB_X11_KSC.o \
  sencoder/SB_EUC_KR.o \
  sencoder/SB_UHC.o  \
  sencoder/SB_Johab.o  \
  sencoder/SB_BIG5.o \
  sencoder/SB_UCS2.o \
  sencoder/SB_UInput.o  \
  sencoder/SB_DeShape.o  \
  sencoder/SB_NCR.o  \
  sencoder/SB_GB18030.o  \
  sencoder/SB_S_JIS0213.o  \
  sencoder/SB_EUC_JP0213.o  \
  sencoder/SB_BiDi.o  

SREGEX_OBJS= \
  syntax/SSyntax.o \
  syntax/SSyntaxMarker.o \
  syntax/SMatcher.o \
  syntax/SPattern.o \
  syntax/SHunspellPattern.o

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS))
TARGET=stoolkit.lib
else
OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS)
TARGET=libstoolkit.a
endif


all: $(TARGET)

stoolkit.lib: $(OBJS)
	$(AR)$@ $(OBJS)

libstoolkit.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sencoder/%.o:sencoder/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

syntax/%.o:syntax/%.cpp
	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

%.o:%.cpp
	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:sencoder/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,sencoder/%.cpp,$@)

%.obj:syntax/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,syntax/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== swidget/Makefile ===
include ../Makefile.conf


MODULES=SComponent.o SBorder.o SPanel.o \
  SFrame.o STextView.o STextEdit.o SCaret.o SEditorIF.o SEditor.o \
  STextEditLS.o SUndo.o SYuditInput.o SLayout.o SUniPrint.o \
  SSlider.o SIcon.o SOpaqueLabel.o SButton.o SLabel.o \
  STextList.o SListBox.o SIconFactory.o \
  SDialog.o STextDialog.o SFileDialog.o  \
  STextTable.o SDrawing.o SFreeHand.o \


TARGETDIR=
TARGETOBJS=

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
TARGET=swidget.lib
else
OBJS=$(MODULES) $(TARGETOBJS)
TARGET=libswidget.a
endif


all: $(TARGET)

#
# The cl drops its lib here
#
swidget.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libswidget.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj *.o $(TARGET)

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== swindow/Makefile ===
include ../Makefile.conf

MODULES=SAwt.o SGPrimitive.o SGEngine.o SWindow.o SColor.o \
 SImage.o SPen.o SCanvas.o SRedrawEvent.o \
 SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
 SFontFB.o SFontNative.o SPostscript.o \
 SPrinter.o SAccelerator.o SScriptProcessor.o  \
 SSyntaxColors.o

TARGETDIR=
TARGETOBJS=

ifeq ($(SWINDOWS),X11)
TARGETDIR:=$(TARGETDIR) SX11
ifeq ($(USE_X11),-DUSE_X11=1)
TARGETOBJS:=sx11/SX11Impl.o sx11/SX11Window.o \
 sx11/SX11Color.o sx11/SX11Font.o \
 sx11/SXInputMethod.o sx11/SXEventHandler.o 
endif
CPPFLAGS:=$(CPPFLAGS) $(SWINDOW_FLAGS) 
endif

ifeq ($(SWINDOWS),WIN32)
TARGETDIR:=$(TARGETDIR) swin32
TARGETOBJS:=SWin32.o
CPPFLAGS:=$(CPPFLAGS) 
endif


ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
#OBJS:=$(subst /,\,$(OBJS))
TARGET=swindow.lib
else
OBJS=$(MODULES) $(TARGETOBJS)
TARGET=libswindow.a
endif


all: $(TARGET)

#
# The cl drops its lib here
#
swindow.lib: $(OBJS)
	$(AR)$@ $(subst swin32/,,$(OBJS))

libswindow.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

sx11/%.o:sx11/%.cpp
	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

%.obj:swin32/%.cpp
	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,swin32/%.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f *.o  *.obj */*.o */*.obj $(TARGET)

install:

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== uniconv/Makefile ===
include ../Makefile.conf

MODULES=Main.o 

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
MYLIBS=/link /subsystem:CONSOLE $(SLIBS) $(ALL_LIBS)
else
OBJS=$(MODULES)
SLIBS=-L../stoolkit -lstoolkit
MYLIBS=$(SLIBS) $(ALL_LIBS)
endif

.PHONY:all clean config 

all:  uniconv

uniconv: $(OBJS)
	$(LD) -o uniconv $(OBJS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

install:
	rm -f $(DESTDIR)/$(bindir)/uniconv
	$(INSTALL_PROGRAM) uniconv $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) uniconv.1 $(DESTDIR)/$(mandir)/man1

clean: 
	rm -f *.o *.obj uniconv uniconv.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== bin/cluster/Makefile ===
#
# Put a list of scripts here.
#
INDIC=Tamil

CLUSTER_DIR=../../mytool/mys
MYS_DIR=../../mytool/mys
KMAP_DIR=../../mytool/kmap

indic: iscii
	cp cluster.template  $(CLUSTER_DIR)/cluster.mys
	@echo Creating: $(CLUSTER_DIR)/cluster.mys
	@for i in $(INDIC); do \
	        echo Adding $$i to $(CLUSTER_DIR)/cluster.mys; \
		perl $$i.cluster.pl >> $(CLUSTER_DIR)/cluster.mys; \
		if [ $$? != 0 ]; then \
			exit 1; \
		fi;  \
		if [ -f $$i.kmap.pl ]; \
		then \
			echo Creating: $(KMAP_DIR)/$$i.kmap; \
			perl $$i.kmap.pl > $(KMAP_DIR)/$$i.kmap; \
			if [ $$? != 0 ]; then \
				exit 1; \
			fi;  \
		fi;  \
	done

iscii: $(MYS_DIR)/tscii.mys

$(MYS_DIR)/tscii.mys: Tamil.tscii.pl
	perl $< > $@

=== mytool/mys/Makefile ===
include ../../Makefile.conf

#-------------------------------------------------------------------------------

.SUFFIXES: .o .cpp .h .mys .my
SRC_MAPS=$(basename $(notdir $(wildcard *.mys)))
OUT_MAPS=$(addsuffix .my,$(SRC_MAPS))

#
# Contains private, unofficial JIS0213-1.TXT JIS0213-2.TXT
# needed for jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
#
JIS0213_1=../../../JISX0213-1.TXT
JIS0213_2=../../../JISX0213-2.TXT

TARGET = $(OUT_MAPS) 



%.o:%.cpp
	$(CXX)  -c $(ALL_CFLAGS) -o $@ $<


all: $(TARGET)

%.my:%.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $<

OldItalic.my:OldItalic.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

Hosszu.my:Hosszu.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_AS.my:IS_AS.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_BN.my:IS_BN.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_DV.my:IS_DV.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_GJ.my:IS_GJ.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_KN.my:IS_KN.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_ML.my:IS_ML.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_OR.my:IS_OR.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_PJ.my:IS_PJ.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_RM.my:IS_RM.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_TL.my:IS_TL.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

IS_TM.my:IS_TM.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

tscii.my:tscii.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

nastaliq.my:nastaliq.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

# Make all jis-0213-1.mys, jis-0213-2.mys, shift-jis-3.mys
# This is usually already made.
jisx0213: 
	perl ../../bin/parsejisx0213.pl 2 jis-0213-1.mys  $(JIS0213_1) > jis-0213-1.mys
	perl ../../bin/parsejisx0213.pl 2 jis-0213-2.mys  $(JIS0213_2) > jis-0213-2.mys
	perl ../../bin/parsejisx0213.pl 1 shift-jis-3.mys $(JIS0213_1) $(JIS0213_2) > shift-jis-3.mys

jis-0213-1.my:jis-0213-1.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

jis-0213-2.my:jis-0213-2.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

shift-jis-3.my:shift-jis-3.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

gb-18030.my:gb-18030.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

charclass.my:charclass.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

bidiclass.my:bidiclass.mys
	@echo "Making $@ ..."
	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<

clean:
	rm -f *.my *.o *.bak core message.txt

depend:

install: $(TARGET)
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir); fi
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@echo installing my files...
	@$(INSTALL_DATA) *.my  $(DESTDIR)/$(datadir)/yudit/data
	

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== debian/changelog ===
yudit (2.9.6-7) unstable; urgency=medium

  * debian/control
    - set Recommends: libhunspell-1.6-0 (Closes: #869833)
      Thanks to Jeremy Bicha <jbicha@ubuntu.com>
    - set Build-Depends: debhelper (>= 10)
    - set Standards-Version: 4.0.0
  * debian/compat
    - set 10
  * debian/watch
    - update to version 4

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Jul 2017 09:46:55 +0900

yudit (2.9.6-6) unstable; urgency=medium

  * debian/control
    - set Recommends: libhunspell-1.4-0 (Closes: #827503) 
    - set Standards-Version: 3.9.8

 -- Hideki Yamane <henrich@debian.org>  Sat, 18 Jun 2016 22:56:30 +0900

yudit (2.9.6-5) unstable; urgency=medium

  * remove debian/yudit.menu to fix "command-in-menu-file-and-desktop-file"
  * debian/control
    - update Vcs-*

 -- Hideki Yamane <henrich@debian.org>  Sat, 05 Dec 2015 16:47:50 +0900

yudit (2.9.6-4) unstable; urgency=medium

  * debian/patches
    - add reproducible_build, thanks to Chris Lamb <lamby@debian.org> 
      (Closes: #790088)

 -- Hideki Yamane <henrich@debian.org>  Sat, 04 Jul 2015 01:37:24 +0900

yudit (2.9.6-3) unstable; urgency=medium

  * debian/yudit.desktop
    - specify %F for exec entry to fix desktop-mime-but-no-exec-code warning

 -- Hideki Yamane <henrich@debian.org>  Sat, 03 Jan 2015 21:38:24 +0900

yudit (2.9.6-2) unstable; urgency=medium

  * debian/control
    - update Vcs-Browser field since move to cgit

 -- Hideki Yamane <henrich@debian.org>  Sun, 02 Nov 2014 08:48:14 +0900

yudit (2.9.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - set Standards-Version: 3.9.6
  * clean up debian/patches

 -- Hideki Yamane <henrich@debian.org>  Sat, 25 Oct 2014 22:13:04 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 9), x11proto-core-dev, libx11-dev, gettext
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 10), x11proto-core-dev, libx11-dev, gettext
+Standards-Version: 4.0.0
 Homepage: http://www.yudit.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/yudit.git;a=summary
-Vcs-Git: git://anonscm.debian.org/collab-maint/yudit.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yudit.git/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/yudit.git
 
 Package: yudit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
-Recommends: unifont, gv, libhunspell-1.3-0, hunspell-en-us | hunspell-dictionary
+Recommends: unifont, gv, libhunspell-1.6-0, hunspell-en-us | hunspell-dictionary
 Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
 Description: Unicode text editor (arch-dependent binaries)
  yudit is a Unicode text editor for the X Window System. It does not need

=== debian/watch ===
version=4
http://yudit.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## yudit 3.0.7

=== addon/Makefile ===
#
# This is a simple Makefile for one level c++ addons.
#
# Gaspar Sinai <gaspar@yudit.org>
# 2020-05-04, Tokyo
#
# If you see broken links here this is beta version.
#
include ../Makefile.conf

SOURCES=$(wildcard */*.cpp)

#
# In case you have those addons.
#
SYNTAX=../../syntax-1.1
TRUETYPE=../../truetype-1.9
YUDIT_SEDY=../../yudit_sedy-0.7.2


ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .cpp,.obj,$(SOURCES))
TARGET=addon.lib
else
OBJS=$(subst .cpp,.o,$(SOURCES))
TARGET=libaddon.a
endif

.PHONY: copy

SUBDIRS=$(sort $(dir $(SOURCES)))
SUBDIR_CPP_FLAGS=$(patsubst %,-I$(TOPDIR)/addon/%,$(SUBDIRS))


CPPFLAGS:=$(CPPFLAGS) -DNO_MAIN

all: $(TARGET)

addon.lib: $(OBJS)
	$(AR)$@ $(OBJS)

libaddon.a: $(OBJS)
	$(AR) $@ $(OBJS)
	$(RANLIB) $@      

%.o:%.cpp
	$(CXX) -c -o $@ $(SUBDIR_CPP_FLAGS) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)

#Windows will create it in local, we need to move it
%.obj:%.cpp
	$(CXX) -c $(SUBDIR_CPP_FLAGS) $(CPPFLAGS) $(patsubst %.obj,%.cpp,$@)
	mv $(@F) $(@D)

depend:
	$(CXX) -M $(SUBDIR_CPP_FLAGS) $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend

clean: 
	rm -f $(wildcard */*.o)   $(wildcard */*.obj) $(TARGET) .depend

distclean: clean
	rm -rf syntax truetype yudit_sedy

copy:
ifneq (,$(wildcard  $(YUDIT_SEDY)/*))
	cp -R $(YUDIT_SEDY) yudit_sedy
	rm -rf yudit_sedy/*.obj yudit_sedy/*.o
else
	@echo WARNING yudit_sedy plugin skipped.
endif
ifneq (,$(wildcard  $(SYNTAX)/*))
	cp -R $(SYNTAX) syntax
	rm -rf syntax/src
else
	@echo WARNING syntax plugin skipped.
endif
ifneq (,$(wildcard  $(TRUETYPE)/*))
	cp -R $(TRUETYPE) truetype
	rm -rf truetype/reduced
	rm -rf truetype/candidate
else
	@echo WARNING truetype plugin skipped.
endif


install:

# This is called by bin/wininst on windows.
wininst_fonts:
ifneq (,$(wildcard  truetype/target/*))
	cp -R truetype/target/* $(INSTALLDIR)/fonts 
else
	@echo WARNING truetype plugin skipped.
endif

wininst_syntax:
ifneq (,$(wildcard  syntax/target/*))
	cp -R syntax/target/* $(INSTALLDIR)/syntax 
else
	@echo WARNING syntax plugin skipped
endif

ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== bin/Makefile ===
--- 
+++ 
@@ -3,10 +3,10 @@
 #
 # UNIDATA directory should have:
 # UnicodeData.txt
-# Unihan.txt
+# # Unihan.txt - obseleted eastasia wont be made
 # BidiMirroring.txt
 #
-VERSION=7.0.0
+VERSION=13.0.0
 UNIROOT=/home/gsinai/Documents/Unicode/ftp.unicode.org/$(VERSION)
 
 UNIDATA=$(UNIROOT)/ucd
@@ -41,6 +41,9 @@
 kmap: ../mytool/mys/shape.mys
 	./arabickmap.pl $< > ../mytool/kmap/ArabicTranslit.kmap 
 
+Emoji: Emoji.txt
+	./simplemys.pl $< > ../mytool/mys/Emoji.mys
+
 #
 # This will create eastasia - that is obsolete
 # JIS0201.TXT can not be calculated....

=== gui/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 TARGET=gui.lib
 OBJS=$(subst .o,.obj,$(TARGETOBJS))
 MAINOBJS=$(subst .o,.obj,$(MAINOBJ))
-SLIBS=/libpath:../stoolkit stoolkit.lib
+SLIBS=/libpath:../stoolkit stoolkit.lib /libpath:../addon addon.lib
 SWINLIBS=/libpath:../swindow  swindow.lib
 SWIDGETLIBS=/libpath:../swidget swidget.lib
 SGUILIBS=/libpath:../gui /subsystem:WINDOWS gui.lib 
@@ -25,10 +25,16 @@
 OBJS=$(TARGETOBJS)
 MAINOBJS=$(MAINOBJ)
 
-SLIBS=-L../stoolkit  -lstoolkit
-SWINLIBS=-L../swindow -lswindow 
+SLIBS=-L../stoolkit  -lstoolkit  -L../addon -laddon
 SWIDGETLIBS=-L../swidget -lswidget 
 SGUILIBS=-L../gui -lgui 
+
+ifeq ($(SWINDOWS),OSX)
+SWINLIBS=-L../swindow -lswindow -Wl,-framework,Cocoa
+else
+SWINLIBS=-L../swindow -lswindow
+endif
+
 MYLIBS=$(SGUILIBS) $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)
 RESOURCE=
 endif

=== stoolkit/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
   STextIndex.o SCursorIndex.o SEmbedState.o SGlyph.o SParagraph.o \
   STextData.o SUtil.o SAutogen.o SDimension.o SLocation.o \
   SLineCurve.o SHWConverter.o SCluster.o SBiDi.o SRendClass.o \
+  SRectangle.o 
 
 
 SENC_OBJS= sencoder/SBEncoder.o \
@@ -43,11 +44,23 @@
   syntax/SPattern.o \
   syntax/SHunspellPattern.o
 
+SSEDY_OBJS= \
+  sedy/SSedy.o 
+
+# Can not distribute source code for cryptos, they can be added as so
+# to binary or compiled from source.
+ifeq ($(wildcard ../addon/yudit_sedy/yudit_sedy.h),../addon/yudit_sedy/yudit_sedy.h)
+SEDY_CPPFLAGS=-DSEDY_BUILT_IN=1
+else
+SEDY_CPPFLAGS=-DSEDY_BUILT_IN=0
+endif
+
+
 ifeq ($(SPLATFORM),WINDOWS)
-OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS))
+OBJS=$(subst .o,.obj,$(MODULES)) $(patsubst sencoder/%.o,%.obj,$(SENC_OBJS)) $(patsubst syntax/%.o,%.obj,$(SREGEX_OBJS)) $(patsubst sedy/%.o,%.obj,$(SSEDY_OBJS))
 TARGET=stoolkit.lib
 else
-OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS)
+OBJS=$(MODULES) $(SENC_OBJS) $(SREGEX_OBJS) $(SSEDY_OBJS)
 TARGET=libstoolkit.a
 endif
 
@@ -67,6 +80,9 @@
 syntax/%.o:syntax/%.cpp
 	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
+sedy/%.o:sedy/%.cpp
+	$(CXX) -c -o $@ $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+
 %.o:%.cpp
 	$(CXX) -c -DYUDIT_DATA=\"$(YUDIT_DATA)\" $(CPPFLAGS) $(subst .o,.cpp,$@)
 
@@ -79,11 +95,14 @@
 %.obj:syntax/%.cpp
 	$(CXX) -c $(CPPFLAGS) $(patsubst %.obj,syntax/%.cpp,$@)
 
+%.obj:sedy/%.cpp
+	$(CXX) -c $(SEDY_CPPFLAGS) $(CPPFLAGS) $(patsubst %.obj,sedy/%.cpp,$@)
+
 depend:
 	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend
 
 clean: 
-	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj
+	rm -f *.o  *.obj $(TARGET) sencoder/*.o sencoder/*.obj syntax/*.o syntax/*.obj sedy/*.o sedy/*.obj
 
 install:

=== svgicon/Makefile ===
SOURCES=$(wildcard *.svg)

CPPS=$(subst .svg,.cpp,$(SOURCES))

all: $(CPPS)

%.cpp:%.svg
	./svg2cpp.pl $(patsubst %.cpp,%.svg,$@) > $@

clean:
	rm -f $(CPPS)

=== swidget/Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
   STextList.o SListBox.o SIconFactory.o \
   SDialog.o STextDialog.o SFileDialog.o  \
   STextTable.o SDrawing.o SFreeHand.o \
+  SPasswordDialog.o
 
 
 TARGETDIR=

=== swindow/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
  SFont.o SFontImpl.o SFontTTF.o SFontOTF.o SFontBDF.o SUniFont.o \
  SFontFB.o SFontNative.o SPostscript.o \
  SPrinter.o SAccelerator.o SScriptProcessor.o  \
- SSyntaxColors.o
+ SSyntaxColors.o SFontCFF.o
 
 TARGETDIR=
 TARGETOBJS=
@@ -26,6 +26,15 @@
 CPPFLAGS:=$(CPPFLAGS) 
 endif
 
+ifeq ($(SWINDOWS),OSX)
+TARGETDIR:=$(TARGETDIR) sosx
+TARGETOBJS:=sosx/SOSX.o \
+  sosx/SCocoa.o \
+  sosx/SCocoaInput.o \
+  sosx/SKeyboard.o \
+  sosx/SEventOSX.o
+CPPFLAGS:=$(CPPFLAGS) -DUSE_OSX=1
+endif
 
 ifeq ($(SPLATFORM),WINDOWS)
 OBJS=$(subst .o,.obj,$(MODULES)) $(subst .o,.obj,$(TARGETOBJS))
@@ -52,6 +61,13 @@
 sx11/%.o:sx11/%.cpp
 	$(CXX) -c -o $@ $(HAVE_LOCALE) $(NEED_SET_IM_VALUES_PROTO) $(HAVE_SET_IM_VALUES) $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
 
+sosx/%.o:sosx/%.cpp
+	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.cpp,$@)
+
+#  -lobjc -lgnustep-base 
+sosx/%.o:sosx/%.mm
+	$(CXX) -c -o $@ $(CPPFLAGS) $(patsubst %.o,%.mm,$@)
+
 %.o:%.cpp
 	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

=== uniprint/Makefile ===
include ../Makefile.conf

MODULES=Main.o 

ifeq ($(SPLATFORM),WINDOWS)
OBJS=$(subst .o,.obj,$(MODULES))
SLIBS=/libpath:../stoolkit stoolkit.lib
SWINLIBS=/libpath:../swindow  swindow.lib
SWIDGETLIBS=/libpath:../swidget swidget.lib
MYLIBS=/link /subsystem:CONSOLE $(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(SWINDOW_LIBS) $(ALL_LIBS)
else
OBJS=$(MODULES)
SLIBS=-L../stoolkit -lstoolkit
SWIDGETLIBS=-L../swidget -lswidget 
MYLIBS=$(SWIDGETLIBS) $(SWINLIBS) $(SLIBS) $(ALL_LIBS)

ifeq ($(SWINDOWS),OSX)
SWINLIBS=-L../swindow -lswindow -Wl,-framework,Cocoa
else
SWINLIBS=-L../swindow -lswindow
endif

endif

.PHONY:all clean config 

all:  uniprint

uniprint: $(OBJS)
	$(LD) -o uniprint $(OBJS) $(MYLIBS)

%.o:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .o,.cpp,$@)

%.obj:%.cpp
	$(CXX) -c $(CPPFLAGS) $(subst .obj,.cpp,$@)

install:
	rm -f $(DESTDIR)/$(bindir)/uniprint
	$(INSTALL_PROGRAM) uniprint $(DESTDIR)/$(bindir)
	$(INSTALL_DATA) uniprint.1 $(DESTDIR)/$(mandir)/man1

clean: 
	rm -f *.o *.obj uniprint uniprint.exe core

$(SUBDIRS_clean):
	$(MAKE) -C $(patsubst %_clean,%,$@) clean

depend:
	$(CXX) -M  $(CPPFLAGS)  $(patsubst %.o,%.cpp,$(OBJS)) > .depend


ifeq (.depend, $(wildcard .depend))
include .depend
endif

=== mytool/kmap/Makefile ===

include ../../Makefile.conf

KMAPS=$(basename $(notdir $(wildcard *.kmap))) 

TARGET=$(addsuffix .my,$(KMAPS))

all: $(TARGET)

clean:
	rm -f *.my *.o *.bak message.txt core

# Update 2.6.4
# Removed clustering because now we can modify on the fly:
#
# Bengali.kmap Ben-Inscript.kmap 
# Devanagari.kmap Dev-Inscript.kmap Dev-Phonetic.kmap 
# Gujarati.kmap Guj-Inscript.kmap Gurmukhi.kmap 
# Gur-Inscript.kmap Oriya.kmap Ori-Inscript.kmap 
# Malayalam.kmap Mal-Inscript.kmap Telugu.kmap Tel-Inscript.kmap
# Kannada.kmap Kan-Inscript.kmap
#
#Any.my: Any.kmap
#	@echo Processing $< ...
#	$(MYTOOL) -type clkmap -kmap $< -rkmap $<  -write $@

#
# MiddleKorean clustering kmap
#
MiddleKorean.my: MiddleKorean.kmap
	@echo Processing $< ...
	$(MYTOOL) -type clkmap -kmap $< -rkmap $<  -write $@

%.my:%.kmap
	@echo Processing $< ...
	$(MYTOOL) -type kmap -kmap $< -rkmap $<  -write $@

install:
	@if test ! -d $(DESTDIR)/$(prefix) ; then mkdir -p $(DESTDIR)/$(prefix); fi
	@if test ! -d $(DESTDIR)/$(datadir) ; then mkdir -p $(DESTDIR)/$(datadir);fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit ; then mkdir -p $(DESTDIR)/$(datadir)/yudit;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/data ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/data;fi 
	@if test ! -d $(DESTDIR)/$(datadir)/yudit/src ;then mkdir -p $(DESTDIR)/$(datadir)/yudit/src;fi 
	@echo Installing my files...
	@$(INSTALL_DATA) *.my  $(DESTDIR)/$(datadir)/yudit/data
	@echo Installing kmap files...
	@$(INSTALL_DATA) *.kmap  $(DESTDIR)/$(datadir)/yudit/src

depend:

=== mytool/mys/Makefile ===
--- 
+++ 
@@ -26,6 +26,14 @@
 %.my:%.mys
 	@echo "Making $@ ..."
 	$(MYTOOL) -convert my -write $@ -mys $<
+
+Emoji.my:Emoji.mys
+	@echo "Making $@ ..."
+	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<
+
+OldHungarian.my:OldHungarian.mys
+	@echo "Making $@ ..."
+	$(MYTOOL) -convert my -write $@ -mys $< -rmys $<
 
 OldItalic.my:OldItalic.mys
 	@echo "Making $@ ..."

=== doc/notinstalled/transtab/Makefile ===
TARGETS=transtab transtab.repertoire transtab.missing-MES-2 transtab.changes

all: $(TARGETS)

# transtab.utf is the file that should be edited

transtab: transtab.utf
	format=iso    ./transcomp $< >$@
	format=isoutf ./transcomp transtab >transtab.utf

transtab.repertoire: transtab
	format=utf    ./transcomp transtab >$@

transtab.missing-MES-2: transtab.repertoire
	uniset + ../MES-2 - transtab.repertoire - 0000-007f clean table | \
	format=isoutf ./transcomp - >$@

transtab.missing-TARGET1: transtab.repertoire
	uniset + ../../font/ucs-fonts/TARGET1 - transtab.repertoire \
	- 0000-007f clean table | \
	format=isoutf ./transcomp - >$@

transtab.changes: transtab.utf
	rlog $< >$@

distribution: $(TARGETS)
	ci -l transtab.utf
	cd .. ; tar cvf transtab.tar \
	transtab/README transtab/REFERENCES transtab/Makefile \
	transtab/transcomp \
	transtab/transtab.utf $(TARGETS:%=transtab/%) ; \
	gzip -9f transtab.tar ; \
	mv transtab.tar.gz $(HOME)/.www/download/

clean:
	rm -f *~

=== debian/changelog ===
yudit (3.0.7-3) unstable; urgency=medium

  * debian/copyright
    - Convert to copyright format 1.0

 -- Hideki Yamane <henrich@debian.org>  Tue, 30 Jun 2020 23:36:03 +0900

yudit (3.0.7-2) unstable; urgency=medium

  * debian/control
    - Update "Recommends: libhunspell-1.7-0", instead of 1.6-0
    - Set Multi-Arch: foreign for yudit-{common,doc}
  * debian/yudit-doc.{install,links}
    - Adjust yudit doc path issue (Closes: #742635)

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Jun 2020 10:10:57 +0900

yudit (3.0.7-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - Refresh patch

 -- Hideki Yamane <henrich@debian.org>  Mon, 15 Jun 2020 19:05:40 +0900

yudit (3.0.5-1) unstable; urgency=medium

  * New Upstream Version 3.0.5
  * debian/patches
    - Refresh patches

 -- Hideki Yamane <henrich@debian.org>  Wed, 03 Jun 2020 20:13:53 +0900

yudit (3.0.3-1) unstable; urgency=medium

  * New Upstream Version 3.0.3

 -- Hideki Yamane <henrich@debian.org>  Mon, 18 May 2020 21:54:19 +0900

yudit (3.0.2-1) unstable; urgency=medium

  * New upstream release 3.0.2

 -- Hideki Yamane <henrich@debian.org>  Mon, 18 May 2020 15:54:32 +0900

yudit (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1

 -- Hideki Yamane <henrich@debian.org>  Thu, 14 May 2020 20:02:11 +0900

yudit (3.0.0-1) unstable; urgency=medium

  * New upstream release 3.0.0
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.7.8-1, 2.5-1.
  * Set debhelper-compat version in Build-Depends.
  * debian/patches
    - Refresh patches
    - Add 0005-fix-typo.patch
    - Rename install-png-to-pixmaps and install-icon.patch
  * debian/yudit-common.{dirs,install}
    - Adjust icon directory and add yudit.svg
  * debian/control
    - Set Standards-Version: 4.5.0
    - Bump up debhelper-compat (= 13)
  * debian/yudit-doc.install
    - Install more docs
  * debian/yudit.manpages
    - Just update install manpages to ignore dh_missing warning
  * debian/yudit.install
    - Install /usr/share/yudit/syntax/README.TXT
  * debian/yudit{,-common}.install
    - Move files from yudit to yudit-common
  * debian/yudit.desktop
    - Update desktop entry
  * Add debian/salsa-ci.yml

 -- Hideki Yamane <henrich@debian.org>  Mon, 11 May 2020 02:10:32 +0900

yudit (2.9.6-9) UNRELEASED; urgency=medium

  * d/changelog: Remove trailing whitespaces

 -- Ondřej Nový <onovy@debian.org>  Mon, 01 Oct 2018 09:38:57 +0200

yudit (2.9.6-8) unstable; urgency=medium

  * debian/control
    - Move Vcs-* to salsa.debian.org
    - Set Standards-Version: 4.1.5
    - use dh11
    - use https for Homepage
  * debian/watch
    - use https for debian/watch

 -- Hideki Yamane <henrich@debian.org>  Wed, 18 Jul 2018 05:56:15 +0900

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: editors
 Priority: optional
 Maintainer: Hideki Yamane <henrich@debian.org>
-Build-Depends: debhelper (>= 10), x11proto-core-dev, libx11-dev, gettext
-Standards-Version: 4.0.0
-Homepage: http://www.yudit.org
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/yudit.git/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/yudit.git
+Build-Depends: debhelper-compat (= 13), x11proto-core-dev, libx11-dev, gettext
+Standards-Version: 4.5.0
+Homepage: https://www.yudit.org
+Vcs-Browser: https://salsa.debian.org/debian/yudit
+Vcs-Git: https://salsa.debian.org/debian/yudit.git
 
 Package: yudit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, yudit-common (= ${source:Version})
-Recommends: unifont, gv, libhunspell-1.6-0, hunspell-en-us | hunspell-dictionary
+Recommends: unifont, gv, libhunspell-1.7-0, hunspell-en-us | hunspell-dictionary
 Suggests: yudit-doc, ttf-mscorefonts-installer, fonts-vlgothic | fonts-japanese-gothic, fonts-freefont-ttf
 Description: Unicode text editor (arch-dependent binaries)
  yudit is a Unicode text editor for the X Window System. It does not need
@@ -24,6 +24,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Suggests: yudit-doc (= ${source:Version}), yudit (= ${source:Version})
+Multi-Arch: foreign
 Description: Unicode text editor (arch-independent files)
  yudit is a Unicode text editor for the X Window System. It does not need
  localized environment or Unicode fonts. It supports simultaneous processing
@@ -37,6 +38,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Unicode text editor (Documentation)
  The unicode editor "yudit" has got a big documentation in lots of languages.
  After the installation, the documentation will be available in:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@

# don't run autoreconf since upstream modified configure "by hand"...;-(
override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --with-x \
			     --x-includes=/usr/include/X11 \
			     --x-libraries="/usr/lib/lib64,/usr/lib/lib32,/usr/lib/lib"

override_dh_compress:
	dh_compress -XHOWTO -XFAQ

=== debian/watch ===
version=4
https://yudit.org/download/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
